Modules
All operations require authentication, except the 2 marked Public.
List available modulesProductionPublic
List available modules. Returns the IDs of the modules that can be installed. Filter them by active, branch or latest.
Query parameters
Filter the value of active property (=)
Filter the value of branch property (=)
oldstabletestingFilter the value of latest property (=)
Response
Public: no token needed
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ moduleList[ 0]
Get an available moduleProductionPublic
Get an available module. Returns the name, version, branch, languages and requirements of the module, and the modules it can be upgraded to.
Path parameters
The ID of the module
Response
Is the module available?
The type of the admin name
emailstringThe packager of this module for OVH
The branch of the module
oldstabletestingThe ID of the module
The keywords for this module
All available languages for this module
czdeenesfifritltnlplptMinimal language version required to run this module
Is this the latest version available?
The name of the module
Size of the module
The IDs of the module you can upgrade to
The version of the module
Example uses id = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ moduleList/ {id}{ "active": true, "adminNameType": "email", "author": "string", "branch": "old", "id": 0, "keywords": [ "string" ], "language": [ "cz" ], "languageRequirement": { "unit": "string", "value": "string" }, "latest": true, "name": "string", "size": { "unit": "string", "value": 0 }, "upgradeFrom": [ 0 ], "version": "string"}
List installed modulesProduction
List installed modules. Returns the installation IDs of the modules installed on the hosting. Get the details of one with its installation ID.
Path parameters
The internal name of your hosting
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ module \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get an installed moduleProduction
Get an installed module. Returns the path, URL, admin login, language, dependencies and status of the installed module.
Path parameters
Installation ID
The internal name of your hosting
Response
The admin folder, relative to the module's installation path
Login for the admin account
Date of the installation of the module
The dependencies to which the module has access. A dependency can be a standard database (like MySQL or PostgreSQL) or a key-value store (like Redis or Memcached) for example
Installation ID
The language of the module
czdeenesfifritltnlplptDate of the last module's upgrade
ID of the module associated with this installation
Where the module is installed, relative to your home directory
The module status
createdcreatingdeletingupdatingThe URL from where your module can be reached
The task ID working on this module
Example uses id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ module/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "adminFolder": "string", "adminName": "string", "creationDate": "2024-01-01T12:00:00Z", "dependencies": [ { "name": "string", "password": "string", "port": 0, "prefix": "string", "server": "string", "type": "mysql", "user": "string" } ], "id": 0, "language": "cz", "lastUpdate": "2024-01-01T12:00:00Z", "moduleId": 0, "path": "string", "status": "created", "targetUrl": "string", "taskId": 0}
Install a moduleProduction
Install a module. Installs a module from the available modules in a folder of the hosting, with its admin account and dependencies, and returns the task. The admin password needs at least 8 characters.
Path parameters
The internal name of your hosting
Request body (required)
The login for the admin account (may be a standard string or your email)
The password for the admin account (at least 8 characters)
The dependencies that we have to configure on your module. A dependency can be a standard database (like MySQL or PostgreSQL) or a key-value store (like Redis or Memcached) for example
On which domain the module has to be available (it can be a multidomain or a subdomain) - if not set, the module will be available on your serviceName domain
The language to set to your module
czdeenesfifritltnlplptID of the module you want to install
Where to install the module, relative to your home directory
Response
Completion date
Function name
the id of the task
last update
Task related object ID
Task object type
AbuseAttachedDomainBlockedIpCdnCronDatabaseDumpEnvVarFilerzHostedsslHostingIndyInfraMinorModuleOtherOvhConfigOvhOrgOwnLogsRuntimeScanSqlpersoUserUserLogsWebWebdTask Creation date
Task status
cancelleddoingdoneerrorinittodoExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ module \
-H "authorization: Bearer $OVH_TOKEN"{ "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "objectId": "string", "objectType": "Abuse", "startDate": "2024-01-01T12:00:00Z", "status": "cancelled"}
Delete an installed moduleProduction
Delete an installed module. Deletes the module installation and returns the task. Use the installation ID, not the module ID.
Path parameters
Installation ID
The internal name of your hosting
Response
Completion date
Function name
the id of the task
last update
Task related object ID
Task object type
AbuseAttachedDomainBlockedIpCdnCronDatabaseDumpEnvVarFilerzHostedsslHostingIndyInfraMinorModuleOtherOvhConfigOvhOrgOwnLogsRuntimeScanSqlpersoUserUserLogsWebWebdTask Creation date
Task status
cancelleddoingdoneerrorinittodoExample uses id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ module/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "objectId": "string", "objectType": "Abuse", "startDate": "2024-01-01T12:00:00Z", "status": "cancelled"}